Send a template message with an image header.
Perfect for promotional templates, product announcements, or any template that includes a visual image at the top.
JSON-indhold
{
"phone": "{{phone}}",
"template_name": "product_promotion",
"template_language": "ar",
"components": {
"header": {
"type": "image",
"image": {
"link": "https://example.com/product-image.jpg"
}
},
"body": [
"خصم 50%",
"المنتج الجديد"
]
}
}Eksempel på forespørgsel
curl -X POST "https://letsbot.net/api/v1/template/image" \
-H "Authorization: Bearer YOUR_LB_API_KEY" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"phone": "9665xxxxxxxx",
"template_name": "product_promotion",
"template_language": "ar",
"components": {
"header": {
"type": "image",
"image": {
"link": "https://example.com/product-image.jpg"
}
},
"body": [
"خصم 50%",
"المنتج الجديد"
]
}
}'
const response = await fetch("https://letsbot.net/api/v1/template/image", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_LB_API_KEY",
"Accept": "application/json",
"Content-Type": "application/json",
},
body: JSON.stringify({
"phone": "9665xxxxxxxx",
"template_name": "product_promotion",
"template_language": "ar",
"components": {
"header": {
"type": "image",
"image": {
"link": "https://example.com/product-image.jpg"
}
},
"body": [
"خصم 50%",
"المنتج الجديد"
]
}
}),
});
const data = await response.json();
console.log(data);
<?php
$ch = curl_init('https://letsbot.net/api/v1/template/image');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer YOUR_LB_API_KEY',
'Accept: application/json',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"phone": "9665xxxxxxxx",
"template_name": "product_promotion",
"template_language": "ar",
"components": {
"header": {
"type": "image",
"image": {
"link": "https://example.com/product-image.jpg"
}
},
"body": [
"خصم 50%",
"المنتج الجديد"
]
}
}
JSON,
]);
$data = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($data);
import requests
response = requests.request(
"POST",
"https://letsbot.net/api/v1/template/image",
headers={
"Authorization": "Bearer YOUR_LB_API_KEY",
"Accept": "application/json",
"Content-Type": "application/json",
},
json={
"phone": "9665xxxxxxxx",
"template_name": "product_promotion",
"template_language": "ar",
"components": {
"header": {
"type": "image",
"image": {
"link": "https://example.com/product-image.jpg",
},
},
"body": [
"خصم 50%",
"المنتج الجديد",
],
},
},
)
print(response.json())